const config = require('./config');
const Plugins = require('./plugins');

class DB {
    constructor (cfg) {
        const driverName = cfg.split('.')[0];

        const driver = Plugins.db_drivers[driverName];
        if (driver) {
            const cfgData = config.db[cfg];
            if (cfgData) {
                return new driver(cfgData);
            } else {
                throw 'Database configuration `' + cfg + '` not found';
            }
        } else {
            throw 'Database driver `' + driverName + '` not found';
        }
    }
}

module.exports = DB;
